For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI ReferenceChangelogModel Versioning
GuidesAPI ReferenceChangelogModel Versioning
    • Getting Started
    • Authentication
    • API Versioning
    • SDKs
    • Deployments
  • Processor Endpoints
    • POSTRun Processor
    • GETGet Processor Run
    • GETList Processor Runs
    • POSTCancel Processor Run
    • DELDelete Processor Run
    • GETGet Batch Processor Run
    • GETList Processors
    • POSTCreate Processor
    • POSTUpdate Processor
    • POSTPublish Processor Version
    • GETGet Processor Version
    • GETList Processor Versions
  • Parse Endpoints
    • POSTParse File
    • POSTParse File Async
    • GETGet Parser Run
    • DELDelete Parser Run
  • Workflow Endpoints
    • POSTRun Workflow
    • GETGet Workflow Run
    • GETList Workflow Runs
    • POSTUpdate Workflow Run
    • POSTCancel Workflow Run
    • DELDelete Workflow Run
    • POSTCreate Workflow
    • POSTBatch Run Workflow
    • POSTCorrect Workflow Run Outputs
  • File Endpoints
    • POSTUpload File
    • GETGet File
    • DELDelete File
    • GETList Files
    • POSTCreate File
  • Edit Endpoints
    • POSTEdit File
    • POSTEdit File Async
    • POSTGenerate Edit Schema
    • GETGet Edit Run
    • DELDelete Edit Run
    • GETGet Edit Template
  • Evaluation Set Endpoints
    • GETGet Evaluation Set
    • GETList Evaluation Sets
    • POSTCreate Evaluation Set
    • GETList Evaluation Set Items
    • POSTCreate Evaluation Set Item
    • POSTUpdate Evaluation Set Item
    • DELDelete Evaluation Set Item
    • POSTBulk Create Evaluation Set Items
LogoLogo
Evaluation Set Endpoints

Bulk Create Evaluation Set Items

POST
https://api.extend.ai/evaluation_set_items/bulk
POST
/evaluation_set_items/bulk
$curl -X POST https://api.extend.ai/evaluation_set_items/bulk \
> -H "x-extend-api-version: 2025-04-21" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "evaluationSetId": "evaluation_set_id_here",
> "items": [
> {
> "fileId": "file_id_here",
> "expectedOutput": {
> "value": {}
> }
> }
> ]
>}'
1{
2 "success": true,
3 "evaluationSetItems": [
4 {
5 "object": "evaluation_set_item",
6 "id": "evi_kR9mNP12Qw4yTv8BdR3H",
7 "evaluationSetId": "ev_2LcgeY_mp2T5yPaEuq5Lw",
8 "fileId": "file_xK9mLPqRtN3vS8wF5hB2cQ",
9 "expectedOutput": {
10 "value": {}
11 }
12 }
13 ]
14}

If you have a large number of files that you need to add to an evaluation set, you can use this endpoint to create multiple evaluation set items at once. This can be useful if you have a large dataset that you need to evaluate the performance of a processor against.

Note: you still need to create each File first using the file API.

Was this page helpful?
Previous

Changelog

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-extend-api-version"2025-04-21"Optional

API version to use for the request. If you do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

Request

This endpoint expects an object.
evaluationSetIdstringRequired

The ID of the evaluation set to add the items to.

Example: "ev_2LcgeY_mp2T5yPaEuq5Lw"

itemslist of objectsRequired
An array of objects representing the evaluation set items to create

Response

Successfully created evaluation set items
successboolean
evaluationSetItemslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error